Package ru.bitel.bgbilling.modules.tv.server.event

# Class TvReloadLocalEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.tv.server.event.TvReloadLocalEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class TvReloadLocalEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Основное перечитывание конфигурации происходит асинхронно от обработки события `TvReloadEvent` (чтобы не блокировать обработку событий).
Слушатели вешаются на данное событие, а не на `TvReloadEvent`.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TvReloadLocalEvent()`
  ``
  `TvReloadLocalEvent(int moduleId, int userId, Set<Integer> oldChildrenDeviceIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getOldChildrenDeviceIds()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TvReloadLocalEvent

    protected TvReloadLocalEvent()

  - ### TvReloadLocalEvent

    public TvReloadLocalEvent(int moduleId, int userId, Set<Integer> oldChildrenDeviceIds)

- ## Method Details

  - ### getOldChildrenDeviceIds

    public Set<Integer> getOldChildrenDeviceIds()